public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/lxd/
Date: Sat, 15 Aug 2020 06:19:52 +0000 (UTC)	[thread overview]
Message-ID: <1597472386.6dc1a76c6c1221364f661988c15b5961da8b14f9.juippis@gentoo> (raw)

commit:     6dc1a76c6c1221364f661988c15b5961da8b14f9
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 06:19:25 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 06:19:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6dc1a76c

app-emulation/lxd: bump to 4.0.3

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/lxd/Manifest         |   1 +
 app-emulation/lxd/lxd-4.0.3.ebuild | 208 +++++++++++++++++++++++++++++++++++++
 2 files changed, 209 insertions(+)

diff --git a/app-emulation/lxd/Manifest b/app-emulation/lxd/Manifest
index e491542f828..ec555c4d4d4 100644
--- a/app-emulation/lxd/Manifest
+++ b/app-emulation/lxd/Manifest
@@ -1 +1,2 @@
 DIST lxd-4.0.2.tar.gz 25350601 BLAKE2B 2abecb61759a1a717960671516157dc7b7a36865ecdbcec1f211e5b653b2b4afc41932a4a289430de0dd4ac1e2c777de471ab26e31dbf2b8d1855f67d03886ad SHA512 6c1c668055e9677850f24e142e6741cb6b5aa8d4d9cce29af566e8090c28e04b4baf973f486aef28b7f6b34be5b9ab9bb45e77956879ff7feff6bec8e4db3077
+DIST lxd-4.0.3.tar.gz 25468067 BLAKE2B 5c3d8a2841d3222d070be39fb6cb63c99450a7edea86915a808230012f1a3b7a66c2c4a3c56be378f586c8ca033c4f547ed6eeb14bb09a091b3ae28c62fda7ae SHA512 aaf7fe7473e04765263ff99f02041748f0e57abdd0311d734fbf1cbc461516bf6adad1bc42c9cfa58b4e87c28efb5186d9436fb0a1d309b23eb37fe95299ad6f

diff --git a/app-emulation/lxd/lxd-4.0.3.ebuild b/app-emulation/lxd/lxd-4.0.3.ebuild
new file mode 100644
index 00000000000..6916707a2f4
--- /dev/null
+++ b/app-emulation/lxd/lxd-4.0.3.ebuild
@@ -0,0 +1,208 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools bash-completion-r1 eutils linux-info systemd
+
+DESCRIPTION="Fast, dense and secure container management"
+HOMEPAGE="https://linuxcontainers.org/lxd/introduction/ https://github.com/lxc/lxd"
+SRC_URI="https://linuxcontainers.org/downloads/${PN}/${P}.tar.gz"
+
+# Needs to include licenses for all bundled programs and libraries.
+LICENSE="Apache-2.0 BSD BSD-2 LGPL-3 MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="apparmor +ipv6 nls"
+
+DEPEND="app-arch/xz-utils
+	>=app-emulation/lxc-3.0.0[apparmor?,seccomp]
+	dev-lang/tcl
+	dev-libs/libuv
+	dev-libs/lzo
+	net-dns/dnsmasq[dhcp,ipv6?]"
+RDEPEND="${DEPEND}
+	acct-group/lxd
+	net-firewall/ebtables
+	net-firewall/iptables[ipv6?]
+	sys-apps/iproute2[ipv6?]
+	sys-fs/fuse:0=
+	sys-fs/lxcfs
+	sys-fs/squashfs-tools
+	virtual/acl"
+BDEPEND=">=dev-lang/go-1.13
+	nls? ( sys-devel/gettext )"
+
+CONFIG_CHECK="
+	~BRIDGE
+	~DUMMY
+	~IP6_NF_NAT
+	~IP6_NF_TARGET_MASQUERADE
+	~IPV6
+	~IP_NF_NAT
+	~IP_NF_TARGET_MASQUERADE
+	~MACVLAN
+	~NETFILTER_XT_MATCH_COMMENT
+	~NET_IPGRE
+	~NET_IPGRE_DEMUX
+	~NET_IPIP
+	~NF_NAT_MASQUERADE
+	~VSOCKETS
+	~VXLAN
+"
+
+# 4.0.3: Network fetching fixed, but tests don't work when ran inside container.
+RESTRICT="test"
+
+# Go magic.
+QA_PREBUILT="/usr/lib/lxd/libdqlite.so.0.0.1
+	/usr/bin/fuidshift
+	/usr/bin/lxc
+	/usr/bin/lxc-to-lxd
+	/usr/bin/lxd-agent
+	/usr/bin/lxd-benchmark
+	/usr/bin/lxd-p2c
+	/usr/sbin/lxd"
+
+EGO_PN="github.com/lxc/lxd"
+GOPATH="${S}/_dist" # this seems to reset every now and then, though
+
+common_op() {
+	local i
+	for i in dqlite raft; do
+		cd "${GOPATH}"/deps/${i} || die "failed to switch dir to ${i}"
+		"${@}"
+		cd "${S}" || die "failed to switch dir back from ${i} to ${S}"
+	done
+}
+
+src_prepare() {
+	default
+
+	export GOPATH="${S}/_dist"
+
+	sed -i \
+		-e "s:\./configure:./configure --prefix=/usr --libdir=${EPREFIX}/usr/lib/lxd:g" \
+		-e "s:make:make ${MAKEOPTS}:g" \
+		Makefile || die
+
+	sed -i 's#lib$#lib/lxd#' "${GOPATH}"/deps/libco/Makefile || die
+	sed -i 's#zfs version 2>/dev/null | cut -f 2 -d - | head -1#< /sys/module/zfs/version cut -f 1#' "${GOPATH}"/deps/raft/configure.ac || die
+
+	common_op eautoreconf
+}
+
+src_configure() {
+	export GOPATH="${S}/_dist"
+
+	export CO_CFLAGS="-I${GOPATH}/deps/libco/"
+	export CO_LIBS="${GOPATH}/deps/libco/"
+
+	export RAFT_CFLAGS="-I${GOPATH}/deps/raft/include/"
+	export RAFT_LIBS="${GOPATH}/deps/raft/.libs"
+
+	export SQLITE_CFLAGS="-I${GOPATH}/deps/sqlite"
+	export SQLITE_LIBS="${GOPATH}/deps/sqlite/.libs"
+
+	export PKG_CONFIG_PATH="${GOPATH}/sqlite/:${GOPATH}/libco/:${GOPATH}/raft/"
+
+	cd "${GOPATH}/deps/sqlite" || die
+	econf --enable-replication --disable-amalgamation --disable-tcl --libdir="${EPREFIX}/usr/lib/lxd"
+
+	common_op econf --libdir="${EPREFIX}"/usr/lib/lxd
+}
+
+src_compile() {
+	export GOPATH="${S}/_dist"
+
+	export CGO_CFLAGS="${CGO_CFLAGS} -I${GOPATH}/deps/sqlite/ -I${GOPATH}/deps/dqlite/include/ -I${GOPATH}/deps/raft/include/ -I${GOPATH}/deps/libco/"
+	export CGO_LDFLAGS="${CGO_LDFLAGS} -L${GOPATH}/deps/sqlite/.libs/ -L${GOPATH}/deps/dqlite/.libs/ -L${GOPATH}/deps/raft/.libs -L${GOPATH}/deps/libco/ -Wl,-rpath,${EPREFIX}/usr/lib/lxd"
+	export LD_LIBRARY_PATH="${GOPATH}/deps/sqlite/.libs/:${GOPATH}/deps/dqlite/.libs/:${GOPATH}/deps/raft/.libs:${GOPATH}/deps/libco/:${LD_LIBRARY_PATH}"
+
+	local j
+	for j in sqlite raft libco; do
+		cd "${GOPATH}"/deps/${j} || die
+		emake
+	done
+
+	ln -s libco.so.0.1.0 libco.so || die
+	ln -s libco.so.0.1.0 libco.so.0 || die
+
+	cd "${GOPATH}/deps/dqlite" || die
+	emake CFLAGS="-I${GOPATH}/deps/sqlite -I${GOPATH}/deps/raft/include" LDFLAGS="-L${GOPATH}/deps/sqlite -L${GOPATH}/deps/raft"
+
+	cd "${S}" || die
+
+	for k in fuidshift lxd-agent lxd-benchmark lxd-p2c lxc lxc-to-lxd; do
+		go install -v -x ${EGO_PN}/${k} || die "failed compiling ${k}"
+	done
+
+	go install -v -x -tags libsqlite3 ${EGO_PN}/lxd || die "Failed to build the daemon"
+
+	use nls && emake build-mo
+}
+
+src_test() {
+	export GOPATH="${S}/_dist"
+
+	export CGO_CFLAGS="${CGO_CFLAGS} -I${GOPATH}/deps/sqlite/ -I${GOPATH}/deps/dqlite/include/ -I${GOPATH}/deps/raft/include/ -I${GOPATH}/deps/libco/"
+	export CGO_LDFLAGS="${CGO_LDFLAGS} -L${GOPATH}/deps/sqlite/.libs/ -L${GOPATH}/deps/dqlite/.libs/ -L${GOPATH}/deps/raft/.libs -L${GOPATH}/deps/libco/ -Wl,-rpath,${EPREFIX}/usr/lib/lxd"
+	export LD_LIBRARY_PATH="${GOPATH}/deps/sqlite/.libs/:${GOPATH}/deps/dqlite/.libs/:${GOPATH}/deps/raft/.libs:${GOPATH}/deps/libco/:${LD_LIBRARY_PATH}"
+
+	go test -v ${EGO_PN}/lxd || die
+}
+
+src_install() {
+	local bindir="_dist/bin"
+	export GOPATH="${S}/_dist"
+
+	dosbin ${bindir}/lxd
+
+	for l in fuidshift lxd-agent lxd-benchmark lxd-p2c lxc lxc-to-lxd; do
+		dobin ${bindir}/${l}
+	done
+
+	for m in dqlite libco raft sqlite; do
+		cd "${GOPATH}"/deps/${m} || die "failed switching into ${GOPATH}/${m}"
+		emake DESTDIR="${D}" install
+	done
+
+	cd "${S}" || die
+
+	# We only need bundled libs during src_compile, and we don't want anything
+	# to link against these.
+	rm "${ED}"/usr/bin/sqlite3 || die
+	rm -r "${ED}"/usr/include || die
+	rm -r "${ED}"/usr/lib/lxd/*.a || die
+	rm -r "${ED}"/usr/lib/lxd/pkgconfig || die
+
+	newbashcomp scripts/bash/lxd-client lxc
+
+	newconfd "${FILESDIR}"/lxd-4.0.0.confd lxd
+	newinitd "${FILESDIR}"/lxd-4.0.0.initd lxd
+
+	if use apparmor; then
+		systemd_newunit "${FILESDIR}"/lxd-4.0.0_apparmor.service lxd.service
+	else
+		systemd_newunit "${FILESDIR}"/lxd-4.0.0.service lxd.service
+	fi
+
+	systemd_newunit "${FILESDIR}"/lxd-containers-4.0.0.service lxd-containers.service
+	systemd_newunit "${FILESDIR}"/lxd-4.0.0.socket lxd.socket
+
+	dodoc AUTHORS doc/*
+	use nls && domo po/*.mo
+}
+
+pkg_postinst() {
+	elog
+	elog "Consult https://wiki.gentoo.org/wiki/LXD for more information,"
+	elog "including a Quick Start."
+	elog
+	elog "Optional features:"
+	optfeature "btrfs storage backend" sys-fs/btrfs-progs
+	optfeature "lvm2 storage backend" sys-fs/lvm2
+	optfeature "zfs storage backend" sys-fs/zfs
+	elog
+	elog "Be sure to add your local user to the lxd group."
+}


             reply	other threads:[~2020-08-15  6:19 UTC|newest]

Thread overview: 86+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-08-15  6:19 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-11  7:17 [gentoo-commits] repo/gentoo:master commit in: app-emulation/lxd/ Joonas Niilola
2021-11-17  6:29 Joonas Niilola
2021-11-10  7:02 Joonas Niilola
2021-11-10  7:02 Joonas Niilola
2021-10-22 17:21 Joonas Niilola
2021-10-10  6:29 Joonas Niilola
2021-10-10  6:29 Joonas Niilola
2021-10-04  5:40 Joonas Niilola
2021-08-25  7:09 Joonas Niilola
2021-08-19  6:23 Joonas Niilola
2021-07-19 11:15 Joonas Niilola
2021-07-19 11:15 Joonas Niilola
2021-07-14 13:05 Joonas Niilola
2021-06-30  4:48 Joonas Niilola
2021-06-01  8:43 Joonas Niilola
2021-05-01  5:38 Joonas Niilola
2021-04-28  5:57 Joonas Niilola
2021-04-26 10:08 Joonas Niilola
2021-03-09  9:26 Joonas Niilola
2021-03-08 10:25 Sam James
2021-03-07  9:03 Joonas Niilola
2021-02-19  7:37 Joonas Niilola
2021-01-30  6:38 Joonas Niilola
2021-01-30  6:38 Joonas Niilola
2021-01-30  6:38 Joonas Niilola
2021-01-14  4:20 Joonas Niilola
2021-01-04  5:18 Joonas Niilola
2020-12-15  7:18 Joonas Niilola
2020-12-09  8:04 Joonas Niilola
2020-10-23  7:37 Joonas Niilola
2020-10-20  5:43 Joonas Niilola
2020-09-22  6:54 Joonas Niilola
2020-09-14  5:11 Joonas Niilola
2020-09-14  5:11 Joonas Niilola
2020-08-12 13:03 Joonas Niilola
2020-07-17  8:14 Joonas Niilola
2020-07-13  7:19 Joonas Niilola
2020-07-13  7:16 Joonas Niilola
2020-06-26  8:13 Joonas Niilola
2020-06-21 17:02 Joonas Niilola
2020-05-29 13:15 Joonas Niilola
2020-05-15  8:57 Joonas Niilola
2020-05-15  8:30 Joonas Niilola
2019-11-18 20:54 Tim Harder
2019-09-09  2:58 Erik Mackdanz
2019-09-08 22:47 Erik Mackdanz
2019-07-05 19:05 Virgil Dupras
2019-07-01 14:25 Erik Mackdanz
2019-07-01 14:25 Erik Mackdanz
2019-07-01 13:52 Erik Mackdanz
2019-04-07  3:59 Erik Mackdanz
2019-04-02  4:15 Erik Mackdanz
2019-04-02  4:00 Erik Mackdanz
2019-04-02  3:57 Erik Mackdanz
2019-02-08  3:55 Erik Mackdanz
2019-01-19 17:25 Erik Mackdanz
2019-01-19 17:12 Erik Mackdanz
2018-12-15 22:23 Erik Mackdanz
2018-12-15 21:41 Erik Mackdanz
2018-12-15 21:38 Erik Mackdanz
2018-11-11 21:23 Erik Mackdanz
2018-11-11 21:15 Erik Mackdanz
2018-11-04  4:03 Erik Mackdanz
2018-10-13 22:43 Erik Mackdanz
2018-09-09 22:51 Erik Mackdanz
2018-08-19 22:23 Erik Mackdanz
2018-07-27  3:57 Erik Mackdanz
2018-07-27  3:52 Erik Mackdanz
2018-07-03 12:23 Virgil Dupras
2018-04-02  2:15 Erik Mackdanz
2018-04-02  2:12 Erik Mackdanz
2018-02-21  8:47 Agostino Sarubbo
2018-01-26 21:22 Patrice Clement
2018-01-05 19:21 Ulrich Müller
2017-09-24 11:18 Agostino Sarubbo
2017-09-21 12:41 Amy Liffey
2017-09-21 12:41 Amy Liffey
2017-09-02  9:32 Michał Górny
2017-08-14 21:41 Patrice Clement
2017-07-30 11:24 David Seifert
2017-04-14  8:25 Zac Medico
2016-10-04 12:11 Erik Mackdanz
2016-07-14  2:48 Erik Mackdanz
2016-03-18 19:11 Michał Górny
2015-08-10 21:06 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1597472386.6dc1a76c6c1221364f661988c15b5961da8b14f9.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox